--- title: "Get IPS Policies in a Domain" slug: "get-ips-policies-in-a-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-ips-policies-in-a-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get IPS Policies in a Domain This URL gets all the IPS policies defined in the specific domain. ## Resource URL GET /domain//ipspolicies ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | PolicyDescriptorDetailsList | List of IPS policies with brief policy details | Array | Details of object in PolicyDescriptorDetailsList: | Field Name | Description | Data Type | | --- | --- | --- | | IsEditable | Is policy editable | Boolean | | DomainId | Id of domain to which this policy belongs to | Number | | VisibleToChild | Policy visible to child domain | Boolean | | policyId | Policy id | Number | | name | Policy name | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/domain/0/ipspolicies](https://%3CNSM_IP%3E/sdkapi/domain/0/ipspolicies) **Response** ``` {  "PolicyDescriptorDetailsList": [    {      "name": "Default IPS Attack Settings",      "DomainId": "0",      "policyId": "-1",      "IsEditable": "true",      "VisibleToChild": "true"    },    {      "name": "Default IDS",      "DomainId": "0",      "policyId": "0",      "IsEditable": "true",      "VisibleToChild": "true"    },    {      "name": "All-Inclusive Without Audit",      "DomainId": "0",      "policyId": "16",      "IsEditable": "true",      "VisibleToChild": "true"    },    {      "name": "All-Inclusive With Audit",      "DomainId": "0",      "policyId": "17",      "IsEditable": "true",      "VisibleToChild": "true"    },    {      "name": "Null",      "DomainId": "0",      "policyId": "18",      "IsEditable": "true",      "VisibleToChild": "true"    },    {      "name": "Default Inline IPS",      "DomainId": "0",      "policyId": "19",      "IsEditable": "true",      "VisibleToChild": "true"    }  ] } ```   ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |